[Docker] 在 Ubuntu 16.04 升級版本錯誤

說是錯誤,其實也沒錯誤訊息,就是「停住」了!

Setting up docker-engine (1.11.1-0~xenial) ...

會發現也是因為自動更新 SSL 的腳本居然停住,一早被反應憑證過期XD

它跟著更新腳本被帶起來升級,解開要執行得時候就卡住,想更新 apt 清單還會出現 dpkg --configure -a 提示,更是前後不能Orz

儘管有看到 Linode 討論串Docker 討論串 表示可以透過


sudo dmsetup mknodes sudo apt-get install -y --reinstall docker-engine

以上方式解決。但我這根本卡在那個 dpkg 階段,前後不能動的情況下,只有把預載下來的快取檔案清一清,直接跳過更新惹~(開大絕)

如果有人碰到這種卡住的狀況,參考看看吧!

#Docker #Ubuntu #Linode #升級 #技術相關 #新聞資訊

- Powered by Mxp.TW -FB2WP-

Facebook 外掛功能


Share:

作者: Chun

資訊愛好人士。主張「人人都該為了偷懶而進步」。期許自己成為斜槓到變進度條 100% 的年輕人。[//////////____30%_________]